--- /usr/local/squeak/Squeak-3.6g-2/usr/local/lib/squeak/inisqueak	2003-09-16 20:21:30.000000000 +0200
+++ /usr/local/lib/squeak/inisqueak	2005-02-04 16:18:09.000000000 +0100
@@ -29,18 +29,21 @@
 startup=true
 batch=false
 interactive=true
+installation=true
 
 while true; do
   case "$1" in
     -l) list=true; shift;;
     -n) startup=false; shift;;
     -b) batch=true; interactive=false; shift;;
+    -s) startup=false; interactive=false; installation=false; shift;;
     -h|-help|--help)
         echo "`basename $0` [-option...] [rootdir]"
         echo '    -b      batch (avoid interaction, exit status reflects success)'
         echo '    -h      you already know about'
         echo '    -help   same as -h'
         echo '    -l      always present a list of alternative images (overrides -b)'
+        echo '    -s      only add a symbolic link to Squeak sources'
         echo '    -n      do not run Squeak after installing the files'
         echo '    --help  same as -help'
         exit 0;;
@@ -168,8 +171,11 @@
 if ${interactive}; then echo "Installing ${IMAGE} in `pwd`"; fi
 
 install "ln -s"      "${imgdir}/${SOURCES}" " " "${SOURCES}"
+
+if ${installation}; then
 install "gunzip -dc" "${imgdir}/${IMAGE}"   ">" "squeak.image"
 install "gunzip -dc" "${imgdir}/${CHANGES}" ">" "squeak.changes"
+fi
 
 if ${startup}; then
   if test ! -x ${SQUEAK}; then